function guestbook_check()
{
	if(document.guestbook.Guest_Name.value=="")
	{
		alert("请填写您的姓名");
		document.guestbook.Guest_Name.focus();
		return false
	}
	if(document.guestbook.Guest_Email.value=="")
	{
		alert("请填写邮件地址");
		document.guestbook.Guest_Email.focus();
		return false
	}
	var reEmail=/^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/;
	if (!reEmail.test(document.guestbook.Guest_Email.value))
	{
		alert("邮件地址格式不正确");
		document.guestbook.Guest_Email.focus();
		return false;
	}
	if(document.guestbook.Content.value=="")
	{
		alert("请填写反馈内容");
		document.guestbook.Content.focus();
		return false
	}
	if(document.guestbook.checkcode.value=="")
	{
		alert("请填写验证码");
		document.guestbook.checkcode.focus();
		return false
	}
	if(document.guestbook.checkcode.value.length<4)
	{
		alert("验证码必须为4位");
		document.guestbook.checkcode.focus();
		return false;
	}
	var reCheckcode = /^[0-9]+[0-9]*$/;
	if (!reCheckcode.test(document.guestbook.checkcode.value))
	{
		alert("验证码必须是数字");
		document.guestbook.checkcode.focus();
		return false;
	}
	return true;
}

//友情连接访问统计
function Click_Hit(pagename,sid){
	var re = /^[1-9]+[0-9]*$/;
	if (!re.test(sid))
	{
		alert("ID号必须是大于0的整数");
		return false;
	}
	var xmlhttp;
	try{
		xmlhttp=new XMLHttpRequest();
		}
	catch(e){
		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		}
	xmlhttp.open("post",pagename+"?Action=Click_Hit&ID="+sid,true);
	xmlhttp.setRequestHeader('Content-type','application/x-www-form-urlencoded');
	xmlhttp.send();
}